From e90d2d85b1b7e86b61876b8c6a2a73e4dccdbc53 Mon Sep 17 00:00:00 2001
From: Tim Daly <daly@axiom-developer.org>
Date: Sat, 14 Nov 2015 04:46:59 -0500
Subject: [PATCH] src/axiom-website/download.html

Goal: Document Download Procedures

The problems caused by exec-shield and randomize_va_space
no longer exists. Remove the disable instructions.
---
 changelog                       |    2 ++
 patch                           |    8 ++++----
 src/axiom-website/download.html |    3 ---
 3 files changed, 6 insertions(+), 7 deletions(-)

diff --git a/changelog b/changelog
index f9bde24..8c33707 100644
--- a/changelog
+++ b/changelog
@@ -1,3 +1,5 @@
+20151114 tpd src/axiom-website/patches.html 20151114.01.tpd.patch
+20151114 tpd src/axiom-website/download.html remove exec-shield instructions
 20150912 tpd src/axiom-website/patches.html 20150912.01.tpd.patch
 20150912 tpd books/bookvol10.3 add signatures for COQ
 20150830 tpd src/axiom-website/patches.html 20150830.01.tpd.patch
diff --git a/patch b/patch
index 951082f..f7923ff 100644
--- a/patch
+++ b/patch
@@ -1,6 +1,6 @@
-books/bookvol10.3 add signatures for COQ
+src/axiom-website/download.html
 
-Goal: Proving Axiom Correct
+Goal: Document Download Procedures
 
-All of the functions in every domain now have signatures.
-We are now prepared for the next step in the proof.
+The problems caused by exec-shield and randomize_va_space
+no longer exists. Remove the disable instructions.
diff --git a/src/axiom-website/download.html b/src/axiom-website/download.html
index b0b1f6b..cde709e 100644
--- a/src/axiom-website/download.html
+++ b/src/axiom-website/download.html
@@ -797,7 +797,6 @@ make
 
   <h3>Ubuntu</h3>
    <pre>
-echo 0 >/proc/sys/kernel/randomize_va_space
 apt-get install m4 libxpm-dev libxt-dev libx11-dev 
 apt-get install libxext-dev gettext git-core texlive gawk texlive-fonts-extra
 git clone git://github.com/daly/axiom.git
@@ -832,8 +831,6 @@ http://cgit.freedesktop.org/~cloos/overlay/
 
   <h3>OpenSuSE</h3>
    <pre>
-echo 0 >/proc/sys/kernel/exec_shield
-echo 0 >/proc/sys/kernel/randomize_va_space
 yast2 --install m4 git-core texlive gawk xterm emacs patch texlive-latex
 yast2 --install gcc xorg-x11-proto-devel make xorg-x11-libXpm-devel
 rpm -i texlive-latex-2007-69.noarch.rpm
-- 
1.7.5.4

